---
agentTools:
  projectIndex: https://docs.cancergenomicscloud.org/llms.txt
---

# List export jobs

[block:callout]
{
  "type": "info",
  "body": "When exporting a file from the CGC to an attached volume, export is possible only to a volume that is in the same location (cloud provider and region) as the project from which the file is being exported."
}
[/block]

This call lists export jobs initiated by particular user.

Note that when you export a file from a project on the CGC into a volume, you write to your cloud storage bucket on Amazon Web Services.

Learn more about using the Volumes API for [Amazon S3](aws-cloud-storage-tutorial) and [Google Cloud Storage](https://docs.cancergenomicscloud.org/docs/google-cloud-storage-tutorial).

[block:code]
{
  "codes": [
    {
      "code": "https://cgc-api.sbgenomics.com/v2/storage/exports",
      "language": "text",
      "name": "Path"
    }
  ]
}
[/block]

\##Request

\###Example request

[block:code]
{
  "codes": [
    {
      "code": "GET /v2/storage/exports HTTP/1.1\nHost: cgc-api.sbgenomics.com\nX-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74\nContent-type: application/json",
      "language": "http",
      "name": "HTTP"
    },
    {
      "code": "curl -s -H \"X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74\" -H \"Content-Type: application/json\" -X GET \"https://cgc-api.sbgenomics.com/v2/storage/exports\"",
      "language": "curl"
    }
  ],
  "sidebar": true
}
[/block]

\###Header Fields

[block:parameters]
{
  "data": {
    "h-0": "Key",
    "h-1": "Description of value",
    "0-0": "`X-SBG-Auth-Token`\n_required_",
    "0-1": "Your CGC [authentication token](https://docs.cancergenomicscloud.org/docs/get-your-authentication-token).",
    "h-2": "",
    "1-0": "`Content-type`\n_required_",
    "1-1": "`application/json`"
  },
  "cols": 2,
  "rows": 2
}
[/block]

\##Response

[See a list of CGC-specific response codes that may be contained in the body of the response](https://docs.cancergenomicscloud.org/docs/api-status-codes).

\###Example response body

[block:code]
{
  "codes": [
    {
      "code": "{\n  \"href\": \"https://cgc-api.sbgenomics.com/v2/storage/exports?offset=0&limit=50\",\n  \"items\": [\n    {\n      \"href\": \"https://cgc-api.sbgenomics.com/v2/storage/exports/22P01S2JNGdsI8pEN9IeLoh2eN9A61hK\",\n      \"id\": \"22P01S2JNGdsI8pEN9IeLoh2eN9A61hK\",\n      \"state\": \"FAILED\"\n    },\n    {\n      \"href\": \"https://cgc-api.sbgenomics.com/v2/storage/exports/FMxxKDYZMgWdm3JxYECASfFfNhtRSPtp\",\n      \"id\": \"FMxxKDYZMgWdm3JxYECASfFfNhtRSPtp\",\n      \"state\": \"COMPLETED\"\n    },\n    {\n      \"href\": \"https://cgc-api.sbgenomics.com/v2/storage/exports/ut6FfmTq2Q8SvGp4qarvsZFjH9gqXX73\",\n      \"id\": \"2nNtQ85VYLSk1s2pl4AA2Rd53cFXbU6r\",\n      \"state\": \"COMPLETED\"\n    },\n    {\n      \"href\": \"https://cgc-api.sbgenomics.com/v2/storage/exports/bdXqE72MFESKtBFMMHAmmt844KHCdkJZ\",\n      \"id\": \"bdXqE72MFESKtBFMMHAmmt844KHCdkJZ\",\n      \"state\": \"COMPLETED\"\n    },\n    {\n      \"href\": \"https://cgc-api.sbgenomics.com/v2/storage/exports/btdjdXnsuBEscQnfHUYgRMuDyfB2B2NC\",\n      \"id\": \"btdjdXnsuBEscQnfHUYgRMuDyfB2B2NC\",\n      \"state\": \"COMPLETED\"\n    },\n    {\n      \"href\": \"https://cgc-api.sbgenomics.com/v2/storage/exports/C4fbaFnPERw6xju7cM5g2EVHGBJfATe3\",\n      \"id\": \"C4fbaFnPERw6xju7cM5g2EVHGBJfATe3\",\n      \"state\": \"COMPLETED\"\n    },\n    {\n      \"href\": \"https://cgc-api.sbgenomics.com/v2/storage/exports/bC6Km3yGzRvCq72cxFhVa4q2Vaz4jZh6\",\n      \"id\": \"bC6Km3yGzRvCq72cxFhVa4q2Vaz4jZh6\",\n      \"state\": \"FAILED\"\n    },\n    {\n      \"href\": \"https://cgc-api.sbgenomics.com/v2/storage/exports/HHW7aNG8rF4PJQxkCYmk35bXeLzeRfGq\",\n      \"id\": \"HHW7aNG8rF4PJQxkCYmk35bXeLzeRfGq\",\n      \"state\": \"FAILED\"\n    },\n    {\n      \"href\": \"https://cgc-api.sbgenomics.com/v2/storage/exports/3Y8AgGut4jX7VrHT9SxuFSRfwjrxTsZx\",\n      \"id\": \"3Y8AgGut4jX7VrHT9SxuFSRfwjrxTsZx\",\n      \"state\": \"FAILED\"\n    },\n   }\n    <snip>\n  ],\n  \"links\": []\n}",
      "language": "json",
      "name": ""
    }
  ],
  "sidebar": true
}
[/block]

[block:callout]
{
  "type": "info",
  "body": "For the sake of brevity, we've omitted some jobs."
}
[/block]